View Issue Details

IDProjectCategoryView StatusLast Update
16550Bug reportsSurvey takingpublic2020-08-12 10:10
Reportersushmanadendla Assigned Togabrieljenik  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version4.3.6 
Summary16550: Answer option Code is not limited to 5 characters
Description

Answer Code cannot be more than 5 characters it should work similar to Lime survey 3

Steps To Reproduce

1.Log in as admin.
2.Create Survey
3.Create Question Group
4.Create Question type as List

  1. Navigate to Answer Options and check the Code.
Additional Information

Please refer the screenshot for more details.

TagsNo tags attached.
Complete LimeSurvey version number (& build) 4.3.6
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionmysqlnd 7.4.7
Server OS (if known)
Webserver software & version (if known)
PHP Version7.4.7

Activities

sushmanadendla

sushmanadendla

2020-07-30 16:57

manager  

gabrieljenik

gabrieljenik

2020-08-06 22:47

developer   ~59361

Changed maxlength from 20 to 5
https://github.com/LimeSurvey/LimeSurvey/pull/1541

sushmanadendla

sushmanadendla

2020-08-07 13:25

manager   ~59369

Last edited: 2020-08-10 16:31

Tested the issue before pulling the PR, Issue exist. Tested the issue after pulling the PR, below are my findings:
Answer Code is been fixed to accept only 5 characters, tried 29035(numeric), Special characters(!#$@#), Alphanumeric(A04B7)
Please refer the attachment for more details

16550_AnswerCode_5Char.png (77,959 bytes)   
16550_AnswerCode_5Char.png (77,959 bytes)   
gabrieljenik

gabrieljenik

2020-08-10 11:38

developer   ~59380

Last edited: 2020-08-10 16:31

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30354

lime_release_bot

lime_release_bot

2020-08-12 10:10

administrator   ~59422

Fixed in Release 4.3.10+200812

Related Changesets

LimeSurvey: master 1312ef36

2020-08-10 11:38:51

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 16550: Answer option code is not limited to 5 characters (#1541) Affected Issues
16550
mod - assets/packages/questioneditor/build.min/css/main.css Diff File
mod - assets/packages/questioneditor/build.min/js/questionedit.js Diff File
mod - assets/packages/questioneditor/build.min/js/questionedit.js.map Diff File
mod - assets/packages/questioneditor/build/js/questionedit.js Diff File
mod - assets/packages/questioneditor/build/js/questionedit.js.map Diff File
mod - assets/packages/questioneditor/src/components/subcomponents/_answeroptions.vue Diff File

Issue History

Date Modified Username Field Change
2020-07-30 16:57 sushmanadendla New Issue
2020-07-30 16:57 sushmanadendla File Added: AnswerOptions_CodeCharacters.png
2020-07-30 16:58 sushmanadendla Steps to Reproduce Updated View Revisions
2020-08-06 22:47 gabrieljenik Note Added: 59361
2020-08-07 13:25 sushmanadendla Note Added: 59369
2020-08-07 13:25 sushmanadendla File Added: 16550_AnswerCode_5Char.png
2020-08-10 11:38 gabrieljenik Changeset attached => LimeSurvey master 1312ef36
2020-08-10 11:38 gabrieljenik Note Added: 59380
2020-08-10 11:38 gabrieljenik Assigned To => gabrieljenik
2020-08-10 11:38 gabrieljenik Resolution open => fixed
2020-08-10 16:31 swendrich Status new => resolved
2020-08-12 10:10 lime_release_bot Note Added: 59422
2020-08-12 10:10 lime_release_bot Status resolved => closed